Update channel (If-Match)
PUT
/api/v1/channels/{name}
const url = 'https://example.com/api/v1/channels/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"config":{"additionalProperty":"example"},"createdAt":"2026-04-15T12:00:00Z","enabled":true,"id":"example","name":"example","template":"example","tenantId":"example","type":"example","updatedAt":"2026-04-15T12:00:00Z","version":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/channels/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "config": { "additionalProperty": "example" }, "createdAt": "2026-04-15T12:00:00Z", "enabled": true, "id": "example", "name": "example", "template": "example", "tenantId": "example", "type": "example", "updatedAt": "2026-04-15T12:00:00Z", "version": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”name
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
config
required
object
key
additional properties
string
createdAt
required
string format: date-time
enabled
required
boolean
id
required
string
name
required
string
template
string
tenantId
required
string
type
required
string
updatedAt
required
string format: date-time
version
required
integer
Examplegenerated
{ "config": { "additionalProperty": "example" }, "createdAt": "2026-04-15T12:00:00Z", "enabled": true, "id": "example", "name": "example", "template": "example", "tenantId": "example", "type": "example", "updatedAt": "2026-04-15T12:00:00Z", "version": 1}Responses
Section titled “Responses”OK
Media typeapplication/json
object
config
required
object
key
additional properties
string
createdAt
required
string format: date-time
enabled
required
boolean
id
required
string
name
required
string
template
string
tenantId
required
string
type
required
string
updatedAt
required
string format: date-time
version
required
integer
Examplegenerated
{ "config": { "additionalProperty": "example" }, "createdAt": "2026-04-15T12:00:00Z", "enabled": true, "id": "example", "name": "example", "template": "example", "tenantId": "example", "type": "example", "updatedAt": "2026-04-15T12:00:00Z", "version": 1}default
Section titled “default”Problem Details (RFC 9457)
Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{ "code": "example", "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}